#!/usr/bin/perl

$fmesh="dings.mesh";

$PI=3.14159;

$jend=360;
$jstart=0;
$dj=10;

$istart=-10;
$iend=10;
$di=1;

$dz=0.2;

open(IFILE, ">$fmesh") or (print "Error opening $fmesh\n" and die);


for ($j = $jstart; $j <= $jend; $j += $dj) {
    $x0 = cos($j/180*$PI);
    $y0 = sin($j/180*$PI);
#    print "$j $x0 $y0\n";
    for ($i = $istart; $i <= $iend; $i += $di) {
	$z = $dz * $i;
	# w = cosh(z)
	$w = 0.5 * (exp($z) + exp(-$z));
	$x = $x0 * $w;
	$y = $y0 * $w;
	print  {IFILE} "$x $y $z\n";
    }
    print  {IFILE}  "\n";
}

