#!/usr/bin/perl

$fmesh="dings.mesh";

$PI=3.14159;

$jend=360;
$jstart=0;
$dj=10;

$istart=-90;
$iend=90;
$di=10;

$r0=1.0;
$r1=2.8;

open(IFILE, ">$fmesh") or (print "Error opening $fmesh\n" and die);


for ($j = $jstart; $j <= $jend; $j += $dj) {
    $x0 = cos($j/180*$PI);
    $y0 = sin($j/180*$PI);
    for ($i = $istart; $i <= $iend; $i += $di) {
	$z = 2.0 * sin($i/180*$PI);
	$w = $r0 + $r1 * (1-cos($i/180*$PI));
	$x = $x0 * $w;
	$y = $y0 * $w;
        print {IFILE} sprintf("%.7f %.7f %.7f\n", $x,$y,$z);
    }
    print  {IFILE}  "\n";
}

